
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.actmatching package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.application package" href="nl2declare.application.html" />
    <link rel="prev" title="nl2declare package" href="nl2declare.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-actmatching-package">
<h1>nl2declare.actmatching package<a class="headerlink" href="#nl2declare-actmatching-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.actmatching.activity_matching_bert">
<span id="nl2declare-actmatching-activity-matching-bert-module"></span><h2>nl2declare.actmatching.activity_matching_bert module<a class="headerlink" href="#module-nl2declare.actmatching.activity_matching_bert" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.get_bert_embeddings">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">get_bert_embeddings</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">sentence</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">model</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">tokenizer</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#get_bert_embeddings"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.get_bert_embeddings" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.get_cosine_similarity">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">get_cosine_similarity</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">embeddings1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">embeddings2</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#get_cosine_similarity"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.get_cosine_similarity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.get_most_similar_activity">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">get_most_similar_activity</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">activity</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">activities</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#get_most_similar_activity"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.get_most_similar_activity" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.get_most_similar_activity_without_common_words">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">get_most_similar_activity_without_common_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">activity</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">activities</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#get_most_similar_activity_without_common_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.get_most_similar_activity_without_common_words" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.have_common_word">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">have_common_word</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">stringOne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">stringTwo</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#have_common_word"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.have_common_word" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_bert.remove_common_words">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_bert.</span></span><span class="sig-name descname"><span class="pre">remove_common_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">stringOne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">stringTwo</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_bert.html#remove_common_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_bert.remove_common_words" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.actmatching.activity_matching_word2vec">
<span id="nl2declare-actmatching-activity-matching-word2vec-module"></span><h2>nl2declare.actmatching.activity_matching_word2vec module<a class="headerlink" href="#module-nl2declare.actmatching.activity_matching_word2vec" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_word2vec.get_most_similar_activity_without_common_words">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_word2vec.</span></span><span class="sig-name descname"><span class="pre">get_most_similar_activity_without_common_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">activity</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">activities</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">list</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">]</span></span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_word2vec.html#get_most_similar_activity_without_common_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_word2vec.get_most_similar_activity_without_common_words" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_word2vec.have_common_word">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_word2vec.</span></span><span class="sig-name descname"><span class="pre">have_common_word</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">stringOne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">stringTwo</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_word2vec.html#have_common_word"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_word2vec.have_common_word" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.actmatching.activity_matching_word2vec.remove_common_words">
<span class="sig-prename descclassname"><span class="pre">nl2declare.actmatching.activity_matching_word2vec.</span></span><span class="sig-name descname"><span class="pre">remove_common_words</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">stringOne</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">stringTwo</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/actmatching/activity_matching_word2vec.html#remove_common_words"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.actmatching.activity_matching_word2vec.remove_common_words" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.actmatching">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.actmatching" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.html" title="previous chapter">nl2declare package</a></li>
      <li>Next: <a href="nl2declare.application.html" title="next chapter">nl2declare.application package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.actmatching.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>